Package com.ads.api.beans.csm

# Class Codeset

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.csm.Codeset

public class Codeset extends Node
The codeset class contains several useful class fields and methods related to codeset and category in which the codeset is present. These methods used for setting data to the current object and getting data from the current object .

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Codeset()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Codeset`
  `addCodeValue(CodeValue codeValue)`
  Returns the Codeset object by adding the specified CodeValue object to the codeValues list.
  `Codeset`
  `addCodeValues(List<CodeValue> codeValues)`
  Returns the codeset object by adding the specified list of CodeValue objects to the codeValues list.
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory Details.
  `int`
  `getCategoryId()`
  Returns the categoryId.
  `String`
  `getChangedDescription()`
  Returns the changedDescription of codeset.
  `List<CodeValue>`
  `getCodeValues()`
  Returns the list of CodeValue objects where each codeValue Object contains details like codeName,codeValue,description etc...
  `String`
  `getDescription()`
  Returns the description.
  `List<CSMEnvironment>`
  `getEnvironments()`
  Returns the list of environments.
  `int`
  `getId()`
  Returns the id of the codeset.
  `String`
  `getLockedBy()`
  Returns the lockedBy user of codeset.
  `String`
  `getName()`
  Returns the name of a codeset .
  `APIConstants.Status`
  `getStatus()`
  Returns the status of codeset.
  `float`
  `getVersion()`
  Returns the version of codeset.
  `String`
  `getVersionLabel()`
  Returns the versionLabel of codeset.
  `boolean`
  `isLocked()`
  Returns the isLocked state of a codeset.
  `boolean`
  `isPublished()`
  Returns the isPublished flag of a codeset.
  `Codeset`
  `removeCodeValue(CodeValue codeValue)`
  Returns the Codeset object by removing the specified CodeValue object from the codeValues list.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the auditHistory details as specified.
  `void`
  `setCategoryId(int categoryId)`
  Sets the categoryId as specified.
  `void`
  `setChangedDescription(String changedDescription)`
  Sets the changedDescription as specified.
  `Codeset`
  `setCodeValues(List<CodeValue> codeValues)`
  Returns the codeset object by adding the specified list of CodeValue objects to the codeValues list.
  `void`
  `setDescription(String description)`
  Sets the description as specified.
  `void`
  `setEnvironments(List<CSMEnvironment> environments)`
  Sets the list of environments objects as specified.
  `void`
  `setId(int id)`
  Sets the id of codeset as specified.
  `void`
  `setLocked(boolean isLocked)`
  Sets the isLocked as specified.
  `void`
  `setLockedBy(String lockedBy)`
  Sets the lockedBy as specified.
  `void`
  `setName(String name)`
  Sets the name of a codeset as specified.
  `void`
  `setPublished(boolean isPublished)`
  Sets the isPublished flag as specified.
  `void`
  `setStatus(APIConstants.Status status)`
  Sets the status as specified.
  `void`
  `setVersion(float version)`
  Sets the version as specified.
  `void`
  `setVersionLabel(String versionLabel)`
  Sets the versionLabel as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Codeset

    public Codeset()

- ## Method Details

  - ### getId

    public int getId()
    Returns the id of the codeset.
    Returns:
      id int

  - ### setId

    public void setId(int id)
    Sets the id of codeset as specified.
    Parameters:
      `id` - int

  - ### getCategoryId

    public int getCategoryId()
    Returns the categoryId.
    Returns:
      categoryId int

  - ### setCategoryId

    public void setCategoryId(int categoryId)
    Sets the categoryId as specified.
    Parameters:
      `categoryId` - int

  - ### getName

    public String getName()
    Returns the name of a codeset .
    Returns:
      name String

  - ### setName

    public void setName(String name)
    Sets the name of a codeset as specified.
    Parameters:
      `name` - String

  - ### getDescription

    public String getDescription()
    Returns the description.
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Sets the description as specified.
    Parameters:
      `description` - String

  - ### getStatus

    public APIConstants.Status getStatus()
    Returns the status of codeset.
    Returns:
      status String

  - ### setStatus

    public void setStatus(APIConstants.Status status)
    Sets the status as specified.
    Parameters:
      `status` - String

  - ### getVersion

    public float getVersion()
    Returns the version of codeset.
    Returns:
      version String

  - ### setVersion

    public void setVersion(float version)
    Sets the version as specified.
    Parameters:
      `version` - String

  - ### getVersionLabel

    public String getVersionLabel()
    Returns the versionLabel of codeset.
    Returns:
      versionLabel String

  - ### setVersionLabel

    public void setVersionLabel(String versionLabel)
    Sets the versionLabel as specified.
    Parameters:
      `versionLabel` - String

  - ### getChangedDescription

    public String getChangedDescription()
    Returns the changedDescription of codeset.
    Returns:
      changedDescription String

  - ### setChangedDescription

    public void setChangedDescription(String changedDescription)
    Sets the changedDescription as specified.
    Parameters:
      `changedDescription` - String

  - ### isPublished

    public boolean isPublished()
    Returns the isPublished flag of a codeset.
    Returns:
      isPublished boolean

  - ### setPublished

    public void setPublished(boolean isPublished)
    Sets the isPublished flag as specified.
    Parameters:
      `isPublished` - boolean

  - ### isLocked

    public boolean isLocked()
    Returns the isLocked state of a codeset.
    Returns:
      isLocked String

  - ### setLocked

    public void setLocked(boolean isLocked)
    Sets the isLocked as specified.
    Parameters:
      `isLocked` - String

  - ### getLockedBy

    public String getLockedBy()
    Returns the lockedBy user of codeset.
    Returns:
      lockedBy String

  - ### setLockedBy

    public void setLockedBy(String lockedBy)
    Sets the lockedBy as specified.
    Parameters:
      `lockedBy` - String

  - ### getCodeValues

    public List<CodeValue> getCodeValues()
    Returns the list of CodeValue objects where each codeValue Object contains details like codeName,codeValue,description etc...
    Returns:
      List codeValues

  - ### setCodeValues

    public Codeset setCodeValues(List<CodeValue> codeValues)
    Returns the codeset object by adding the specified list of CodeValue objects to the codeValues list.
    Parameters:
      `codeValues` - List
    Returns:
      Codeset

  - ### addCodeValues

    public Codeset addCodeValues(List<CodeValue> codeValues)
    Returns the codeset object by adding the specified list of CodeValue objects to the codeValues list.
    Parameters:
      `codeValues` - List
    Returns:
      Codeset

  - ### addCodeValue

    public Codeset addCodeValue(CodeValue codeValue)
    Returns the Codeset object by adding the specified CodeValue object to the codeValues list.
    Parameters:
      `codeValue` - CodeValue
    Returns:
      Codeset

  - ### removeCodeValue

    public Codeset removeCodeValue(CodeValue codeValue)
    Returns the Codeset object by removing the specified CodeValue object from the codeValues list.
    Parameters:
      `codeValue` - CodeValue
    Returns:
      Codeset

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory Details.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the auditHistory details as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### getEnvironments

    public List<CSMEnvironment> getEnvironments()
    Returns the list of environments.
    Returns:
      List of environments

  - ### setEnvironments

    public void setEnvironments(List<CSMEnvironment> environments)
    Sets the list of environments objects as specified.
    Parameters:
      `environments` - List

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`